// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import CustomerReviewListItem from 'components/CustomerReviewListItem'

const CustomerReviewList = ({
  data,
  itemClassName,
  className,
}: {
  data: Array<TCustomerReview>,
  className?: string,
  itemClassName: string,
  theme: { [key: string]: string},
}) => (
  <div data-component="CustomerReviewList" className={className}>
    {data.map(item => (
      <div key={item.name} className={itemClassName}>
        <CustomerReviewListItem
          className={itemClassName}
          key={item.name}
          item={item}
        />
      </div>
    ))}
  </div>
)

CustomerReviewList.defaultProps = {
  className: null,
}

export default themr('CustomerReviewList', {}, { composeTheme: 'softly' })(CustomerReviewList)
