// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import CustomerReviewList from './'
import data from '../../sample-data/customer-reviews.yml'

const childrenTheme = {
  root: 'flex-wrap ph2 pv4 ba bt-0-ns bl-0-ns br-0-ns b--light-gray br2 mv2',
  icon: 'f2 w-10 dn db-ns',
  meta: 'w-100 w-40-ns flex items-center',
  imageWrapper: '',
  image: 'h3 w3 pa1 br-100 ba b--light-gray',
  nameWrapper: 'pa3',
  name: 'f5 b',
  from: 'f7',
  content: 'w-100 w-50-ns',
}

storiesOf('CustomerReviewList', module)
  .add('default', () => (
    <CustomerReviewList
      className="pa2 flex flex-wrap"
      itemClassName="w-100"
      data={data}
      childrenTheme={childrenTheme}
    />
  ))
