// @flow

import React from 'react'
import HorizontalItem from 'components/HorizontalItem'

const HorizontalList = ({
  data,
  childrenTheme,
  itemClassName,
  className,
  Link,
}: {
  data: Array<Item>,
  childrenTheme: { [key: string]: string},
  className?: string,
  itemClassName: string,
  Link: any,
}) => (
  <div className={className}>
    {data.map(item => (
      <div key={item.title} className={itemClassName}>
        <HorizontalItem
          item={item}
          theme={childrenTheme}
          Link={Link}
        />
      </div>
    ))}
  </div>
)

HorizontalList.defaultProps = {
  className: null,
}

export default HorizontalList
